Ask Your Question
0

Different MCollective Versions?

asked 2015-11-30 09:53:41 -0600

Hello there,

a rather simple question, but yet I could not find a straightforward answer on google:

Is it possible to use different Versions of the mcollective server and agents? I can recall there was a restriction like that for example for the puppet-agent and puppet-master and that there the agent version should be always >= puppet-master version. Is this also the case for MCollective infrastructure?

Or mcollective agents do not bother with from what a version the message came from, they just need to be compatible with the middleware being used?

Thanks in advance!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2015-11-30 10:20:42 -0600

I'd say ideally update all to the same version. topic and queue names have historically changed from version to version - so if they do work together it would just be lucky..

edit flag offensive delete link more

Comments

Thank you, that was what I was looking for :)

Kozzio gravatar imageKozzio ( 2015-12-02 07:38:06 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2015-11-30 09:53:41 -0600

Seen: 42 times

Last updated: Nov 30 '15